
/*
 * matriu.h
 *      Matriu de reals.
 */

#ifndef MATRIU_H
#define MATRIU_H

/* Tipus Matriu */

typedef struct
{
    float *telem;		/* Taula d'elements */
    int nf;			/* Nombre de files */
    int nc;			/* Nombre de columnes */
}
Matriu;

/* Operacions */

Matriu CrearMatriu(int nf, int nc);
int FilesMatriu(Matriu m);
int ColsMatriu(Matriu m);
void AssigMatriu(Matriu * const m, int i, int j, float f);
float ConsMatriu(Matriu m, int i, int j);
void DestruirMatriu(Matriu * const m);

#endif
