
/*
 * vector.h
 *      Vector de reals.
 */

#ifndef VECTOR_H
#define VECTOR_H

/* Tipus Vector */

typedef struct
{
    float *telem;		/* Taula d'elements */
    int dim;			/* Dimensio */
}
Vector;

/* Operacions */

Vector CrearVector(int n);
int DimVector(Vector v);
void AssigVector(Vector * const v, int i, float f);
float ConsVector(Vector v, int i);
void DestruirVector(Vector * const v);

#endif
